Subject: bug#17742: Acknowledgement (Support for enchant?)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Dec 2016 20:09:51 +0200

> Date: Mon, 19 Dec 2016 18:37:19 +0100
> From: Agustin Martin <[email-masked]>
> Cc: Reuben Thomas <[email-masked]>
> 
> >   (string-match "[[:alpha:]]+" "aβגд") => 0
> > 
> > > ​I meant [[:graph:]] and [^[:graph:]].​
> > 
> > This will match an even larger set in Emacs 25, I don't think we will
> > ever want that for spell-checking.
> 
> Hi,
> 
> Not following this very closely, but ispell.el still use [:alpha:] for
> aspell and hunspell. If I remember this properly, old meaning means
> something like "as for current locale" while it has now a much wider
> meaning.
> 
> For the vast majority of systems this should not be a problem, but I wonder
> if this can have some side effects for ispell.el in corner cases.

Yes, I think we should revise those places not to use [:alpha:].